UpdateIsolationConfig
Update the tenant isolation configuration settings
PUT
/api/v1/monitoring/isolation/configOperation ID
UpdateIsolationConfigSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
enabledBooleanRequiredWhether to enable tenant isolation enforcement
Example: true
tenantLabelNameStringRequiredLabel name for tenant identification
Example: tenant_id
exemptTenantsListRequiredExempt tenants
Example: item1,item2
auditModeBooleanRequiredWhether to run in audit-only mode (log without blocking)
Example: false
blockOnViolationBooleanRequiredWhether to block queries that violate isolation
Example: true
